# Generated by Django 3.1.5 on 2021-01-24 13:40

import core.models.model_utils
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="UserTokenModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "token",
                    models.TextField(
                        help_text="用户的 token", max_length=256, verbose_name="token"
                    ),
                ),
                (
                    "ctime",
                    models.DateTimeField(
                        default=django.utils.timezone.now,
                        help_text="用户第一个创建 token 的时间",
                        verbose_name="创建时间",
                    ),
                ),
                (
                    "mtime",
                    models.DateTimeField(
                        auto_now=True, help_text="用户最近修改 token 的时间", verbose_name="修改时间"
                    ),
                ),
                (
                    "user",
                    models.OneToOneField(
                        help_text="用户",
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="用户",
                    ),
                ),
            ],
            options={
                "verbose_name": "令牌",
                "verbose_name_plural": "令牌",
            },
        ),
        migrations.CreateModel(
            name="TBChannelIdModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "relation_id",
                    models.CharField(
                        default=None,
                        help_text="淘宝的关系 ID",
                        max_length=255,
                        null=True,
                        unique=True,
                        verbose_name="渠道 ID",
                    ),
                ),
                (
                    "special_id",
                    models.CharField(
                        default=None,
                        help_text="会员运营的 ID",
                        max_length=255,
                        null=True,
                        unique=True,
                        verbose_name="会员运营 ID",
                    ),
                ),
                (
                    "ctime",
                    models.DateTimeField(
                        default=django.utils.timezone.now,
                        help_text="用户绑定渠道 ID 的时间",
                        verbose_name="创建时间",
                    ),
                ),
                (
                    "user",
                    models.OneToOneField(
                        help_text="那个用户的渠道ID",
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="用户",
                    ),
                ),
            ],
            options={
                "verbose_name": "渠道ID",
                "verbose_name_plural": "渠道ID",
            },
        ),
        migrations.CreateModel(
            name="TBChannelBindModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "state",
                    models.CharField(
                        help_text="当前用户的随机状态",
                        max_length=128,
                        unique=True,
                        verbose_name="随机状态",
                    ),
                ),
                (
                    "ctime",
                    models.DateTimeField(
                        default=django.utils.timezone.now,
                        help_text="这条记录的创建时间",
                        verbose_name="创建时间",
                    ),
                ),
                (
                    "user",
                    models.OneToOneField(
                        help_text="哪个用户尝试绑定渠道ID的",
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="用户",
                    ),
                ),
            ],
            options={
                "verbose_name": "渠道ID绑定",
                "verbose_name_plural": "渠道ID绑定",
            },
        ),
        migrations.CreateModel(
            name="Profile",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "nickname",
                    models.CharField(
                        editable=False,
                        help_text="用户的昵称",
                        max_length=64,
                        verbose_name="昵称",
                    ),
                ),
                (
                    "mobile",
                    models.CharField(
                        editable=False,
                        help_text="用户的手机号",
                        max_length=18,
                        unique=True,
                        verbose_name="手机号",
                    ),
                ),
                (
                    "wx",
                    models.CharField(
                        default=None,
                        editable=False,
                        help_text="用户的微信号码",
                        max_length=255,
                        null=True,
                        verbose_name="微信",
                    ),
                ),
                (
                    "tao_id",
                    models.CharField(
                        default=None,
                        editable=False,
                        help_text="当前绑定淘宝授权的 ID, 没有绑定的时候为空",
                        max_length=1024,
                        null=True,
                        verbose_name="淘宝 ID",
                    ),
                ),
                (
                    "test_account",
                    models.BooleanField(
                        default=False,
                        help_text="这个账号是否为测试账号, 后台管理对测试账号有更多的管理权限, 例如: 创建虚拟订单, 修改账户金额等",
                        verbose_name="测试账号",
                    ),
                ),
                (
                    "user",
                    models.OneToOneField(
                        editable=False,
                        help_text="用户的信息",
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="profile",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="用户",
                    ),
                ),
            ],
            options={
                "verbose_name": "用户信息",
                "verbose_name_plural": "用户信息",
            },
        ),
        migrations.CreateModel(
            name="OrderModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "order_platform",
                    models.CharField(
                        help_text="这个订单在那个平台上购买的", max_length=32, verbose_name="交易平台"
                    ),
                ),
                (
                    "order_no",
                    models.CharField(
                        help_text="在交易平台上的唯一订单号码", max_length=1024, verbose_name="订单号"
                    ),
                ),
                (
                    "order_parent_no",
                    models.CharField(
                        default="",
                        help_text="在交易平台上的父订单号",
                        max_length=1024,
                        verbose_name="父订单号",
                    ),
                ),
                (
                    "order_num",
                    models.PositiveIntegerField(
                        default=1, help_text="这个订单购买的商品数量", verbose_name="商品数量"
                    ),
                ),
                (
                    "order_ctime",
                    models.DateTimeField(
                        help_text="这个订单在平台上的的创建时间", verbose_name="订单创建时间"
                    ),
                ),
                (
                    "order_status",
                    models.CharField(
                        choices=[
                            ("3", "结算成功"),
                            ("12", "订单已付款"),
                            ("13", "订单已关闭"),
                            ("14", "确认收货"),
                        ],
                        help_text="订单在平台上的状态 [当前也就是 tk_status 的中文]",
                        max_length=32,
                        verbose_name="订单状态",
                    ),
                ),
                (
                    "pay_price",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="用户需要支付的价格 alipay_total_price",
                        max_digits=10,
                        verbose_name="支付价格",
                    ),
                ),
                (
                    "pay_time",
                    models.DateTimeField(
                        help_text="这个订单在平台上的支付时间", null=True, verbose_name="订单的支付时间"
                    ),
                ),
                (
                    "end_time",
                    models.DateTimeField(
                        help_text="平台给这个订单的结算时间", null=True, verbose_name="结算时间"
                    ),
                ),
                (
                    "item_id",
                    models.CharField(
                        default="",
                        help_text="这个商品在平台上的 ID",
                        max_length=128,
                        verbose_name="商品ID",
                    ),
                ),
                (
                    "item_title",
                    models.CharField(
                        help_text="购买商品在平台上展示的名称", max_length=1024, verbose_name="商品名称"
                    ),
                ),
                (
                    "item_pic",
                    models.URLField(
                        help_text="这个商品在平台上的图片", max_length=2048, verbose_name="商品图片"
                    ),
                ),
                (
                    "item_price",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="这个商品在平台上的价格",
                        max_digits=10,
                        verbose_name="商品价格",
                    ),
                ),
                (
                    "item_category",
                    models.CharField(
                        default="",
                        help_text="这个商品在平台上的分类",
                        max_length=256,
                        verbose_name="商品分类",
                    ),
                ),
                (
                    "shop_title",
                    models.CharField(
                        help_text="商家在平台上的名称", max_length=1024, verbose_name="商家名称"
                    ),
                ),
                (
                    "income",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="用户购买这一个订单带来的收入 单位: 元",
                        max_digits=10,
                        verbose_name="收入金额",
                    ),
                ),
                (
                    "score",
                    models.PositiveIntegerField(
                        help_text="积分预期增加值[也就是这个订单完成后，需要给用户增加多少积分]", verbose_name="积分"
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("wait", "等待结算"),
                            ("cancel", "已失效"),
                            ("success", "已结算"),
                        ],
                        default="wait",
                        help_text="订单在咱们自己平台上的状态",
                        max_length=32,
                        verbose_name="状态",
                    ),
                ),
                (
                    "detail",
                    models.JSONField(
                        encoder=core.models.model_utils.MyJsonEncoder,
                        help_text="订单的详情, 详细的字段解释参见:\nhttps://open.taobao.com/api.htm?docId=43755&docType=2&scopeId=16322",
                        verbose_name="详细内容",
                    ),
                ),
                (
                    "ctime",
                    models.DateTimeField(
                        default=django.utils.timezone.now,
                        help_text="这个订单的创建时间",
                        verbose_name="创建时间",
                    ),
                ),
                (
                    "mtime",
                    models.DateTimeField(
                        auto_now=True, help_text="这个订单信息最近的修改时间", verbose_name="更改时间"
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        help_text="用户的订单",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="orders",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="用户",
                    ),
                ),
            ],
            options={
                "verbose_name": "淘宝客订单",
                "verbose_name_plural": "淘宝客订单",
                "ordering": ("-id",),
                "unique_together": {("order_no", "order_platform")},
            },
        ),
    ]
